<?php
namespace Teknisa\COZ\Controllers;

use Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;
use Zeedhi\Framework\DB\StoredProcedure\Param;
use Zeedhi\Framework\Report\ReportService;
use Zeedhi\Framework\DTO;

class Pla07000Controller extends \Zeedhi\Framework\Controller\Report {

    protected $pla07000service;

    protected $reportMapping = array (
    'Pla07000' => 
        array (
            'strategy' => 'QR2',
            'parameterMapping' => 
            array (
                'NRORG'                 => 'P_NRORG'
            ),
        ),
    'Pla07001' =>
        array (
            'strategy' => 'QR2',
            'parameterMapping' => 
            array (
                'NRORG'                 => 'P_NRORG'
            ),
        ),
    );

    public function __construct($reportService, $pla07000service) {
        $this->pla07000service = $pla07000service;
        parent::__construct($reportService);
    }

    public function beforeProcessReport(DTO\Request\Row $request, DTO\Response $response) {
    	$row = $request->getRow();
        $this->pla07000service->preencheCampos($row);
    }
}